/***************************************************************************
 *   This file is part of awesome-widgets                                  *
 *                                                                         *
 *   awesome-widgets is free software: you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License as        *
 *   published by the Free Software Foundation, either version 3 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   awesome-widgets is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with awesome-widgets. If not, see http://www.gnu.org/licenses/  *
 ***************************************************************************/

#include "awpluginmatcherac.h"
#include "awpluginmatcherbattery.h"
#include "awpluginmatchercpu.h"
#include "awpluginmatchercpucore.h"
#include "awpluginmatchercpufrequency.h"
#include "awpluginmatchercpufrequencycore.h"
#include "awpluginmatchercustom.h"
#include "awpluginmatcherdesktop.h"
#include "awpluginmatcherdesktopcount.h"
#include "awpluginmatcherdesktopnumber.h"
#include "awpluginmatchergpu.h"
#include "awpluginmatchergpucore.h"
#include "awpluginmatchergputemperature.h"
#include "awpluginmatcherhddread.h"
#include "awpluginmatcherhddwrite.h"
#include "awpluginmatcherloadaverage.h"
#include "awpluginmatchermemoryapplication.h"
#include "awpluginmatchermemoryfree.h"
#include "awpluginmatchermemoryused.h"
#include "awpluginmatchernetworkdevice.h"
#include "awpluginmatchernetworkssid.h"


namespace AWPluginMatchers {
    static QList<AWPluginMatcherInterface *> matchers = {
            AWPluginMatcherAC::instance(),
            AWPluginMatcherBattery::instance(),
            AWPluginMatcherCPU::instance(),
            AWPluginMatcherCPUCore::instance(),
            AWPluginMatcherCPUFrequency::instance(),
            AWPluginMatcherCPUFrequencyCore::instance(),
            AWPluginMatcherCustom::instance(),
            AWPluginMatcherDesktop::instance(),
            AWPluginMatcherDesktopCount::instance(),
            AWPluginMatcherDesktopNumber::instance(),
            AWPluginMatcherGPU::instance(),
            AWPluginMatcherGPUCore::instance(),
            AWPluginMatcherGPUTemperature::instance(),
            AWPluginMatcherHDDRead::instance(),
            AWPluginMatcherHDDWrite::instance(),
            AWPluginMatcherLoadAverage::instance(),
            AWPluginMatcherMemoryApplication::instance(),
            AWPluginMatcherMemoryFree::instance(),
            AWPluginMatcherMemoryUsed::instance(),
            AWPluginMatcherNetworkDevice::instance(),
            AWPluginMatcherNetworkSSID::instance(),
    };
};
